All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information.search
Interface SearchCriteriaModel

    public interface SearchCriteriaModel

The SearchCriteriaModel is used to manage retrieving of search criteria for a search folder. It has getters for all the criteria used within a search.

Field Summary
`static int` | `Criteria93Version`
`static int` | `Criteria94Version`

Method Summary
`abstract PathUrl` | `getFolderScope()` Method to retrieve the folder value used in a search from the search criteria.
`abstract int` | `getModelVersion()` Method to retrieve the model version used to determine the usage version for a search folder.
`abstract boolean` | `getRecursiveSearchFlag()` Method to retrieve a flag that is used with folder searching to tell if we are recursing through subfolders in this search.
`abstract ResultDetails.ResultLimit` | `getResultLimit()` Method to retrieve the limit for the number of objects displayed from the search as set in the search criteria.
`abstract java.util.List<SearchFilter>` | `getSearchFilters()` Method to retrieve the search filters (a list of SearchFilter filters) from the search criteria.
`abstract SortOrder[]` | `getSortOrder()` Method to retrieve the sort order for the search results from the search criteria.
`abstract void` | `setModelVersion(int value)` Method used to set the model version based upon which search filters are used in this criteria model

Field Detail

### Criteria93Version

    static final int Criteria93Version

See Also:
  Constant Field Values

### Criteria94Version

    static final int Criteria94Version

See Also:
  Constant Field Values

Method Detail

### getFolderScope

    PathUrl getFolderScope()

  Method to retrieve the folder value used in a search from the search criteria.

  Returns:
    PathUrl - folder path URL

### getRecursiveSearchFlag

    boolean getRecursiveSearchFlag()

  Method to retrieve a flag that is used with folder searching to tell if we are recursing through subfolders in this search.

  Returns:
    boolean - flag (True of False)

### getResultLimit

    ResultDetails.ResultLimit getResultLimit()

  Method to retrieve the limit for the number of objects displayed from the search as set in the search criteria.

  Returns:
    ResultLimit - limit set for this search. Unlimited is represented by -1.

### getSortOrder

    SortOrder[] getSortOrder()

  Method to retrieve the sort order for the search results from the search criteria.

  Returns:
    SortOrder - The order for the search results.

### getSearchFilters

    java.util.List<SearchFilter> getSearchFilters()

  Method to retrieve the search filters (a list of SearchFilter filters) from the search criteria.

  Returns:
    List - List of search filters use in this search

### getModelVersion

    int getModelVersion()

  Method to retrieve the model version used to determine the usage version for a search folder.

  Returns:
    int - the version for the criteria model

### setModelVersion

    void setModelVersion(int value)

  Method used to set the model version based upon which search filters are used in this criteria model

  Parameters:
    `value` - true or false

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.